* To-do
** Perhaps use overlay for /etc for speedup
#+begin_src nix
  system.etc.overlay.enable = true;
#+end_src
** read https://nixos.org/manual/nixos/stable/
** Performance for mini pc
#+begin_src nix
  security.pam.loginLimits = [
    { domain = "@users"; item = "rtprio"; type = "-"; value = 1; }
  ];
#+end_src
* Bootstrap
** Install cilium
#+begin_src bash
  helm repo add cilium https://helm.cilium.io/
  helm install --dry-run cilium cilium/cilium --version 1.18.4 --namespace kube-system \
       --set kubeProxyReplacement=true \
       --set k8sServiceHost=${API_SERVER_IP} \
       --set k8sServicePort=${API_SERVER_PORT}


  kubectl -n kube-system exec ds/cilium -- cilium-dbg status --verbose
  kubectl -n kube-system exec ds/cilium -- cilium-dbg status | grep KubeProxyReplacement

#+end_src
